/*===============Propiedades Globales================*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

body {
    width: 100%;
    height: 100vh;

    justify-content: center;
    align-items: center;
    font-family: 'Eduardo', sans-serif;
    overflow-x: hidden;


    /* 1. Definimos las dos imágenes: una para la izquierda, otra para la derecha */
    background-image:
        url('../imgEle/otros/fNovIzq.png'),
        /* Para el lado izquierdo */
        url('../imgEle/otros/fNovDer.png');
    /* Para el lado derecho */

    /* 2. Evitamos que las imágenes se repitan */
    background-repeat: no-repeat;

    /* 3. Posicionamos cada imagen */
    background-position:
        calc(-125% - 50px) center,
        /* La imagen izquierda se mueve 50px fuera del borde izquierdo (0%) */
        calc(225% + 50px) center;
    /* La segunda imagen (calabaza) se va a la derecha y se centra verticalmente */

    /* 4. Ajustamos el tamaño si es necesario. 'auto' o un tamaño fijo en px, ej: 250px */
    background-size: auto;
    /* O podrías especificar un tamaño como '250px auto, 250px auto;' para ambas */

    /* Mantener el background-attachment fixed si deseas que no se muevan con el scroll */
    background-attachment: fixed;

    /* Color de fondo base (asegúrate de que no sea muy oscuro para que el texto sea legible) */
    background-color: #f7e0ff;
    /* O el color que uses como fondo principal */
}

@media (max-width: 768px) {
    body {
        /* En pantallas pequeñas, eliminamos las imágenes de fondo para mejorar la legibilidad */
        /* Asegúrate de que tu imagen esté en la ruta correcta */
        background-image: url('../imgEle/otros/fNovDer.png');
        background-repeat: no-repeat;
        background-position: center 15vh;
        /* Para que la imagen se repita y cubra todo el fondo */
        background-size: 200% auto;
        /* O 'contain', 'cover' si es una sola imagen grande */
        background-attachment: fixed;
        /* Opcional: Para que la imagen se quede fija al hacer scroll */
    }
}




/*===================MENU==========================*/

#menu {
    background-color: rgba(255, 255, 255, 0.356) !important;
    /*position: fixed;  Lo coloca en la parte superior de la ventana 
    top: 0;*/
    width: 100%; /* Asegura que el menú ocupe todo el ancho */
    z-index: 1000; /* Asegura que el menú esté por encima de otros elementos */
    box-shadow: 0 2px 4px rgba(59, 59, 59, 0.1);
}

#menu a,
button {
    font-size: 1.15rem;
    font-weight: 600;

}

#menu a {
    color: #3f3f3f;
    
}



/*===================SLIDER DE IMAGENES==========================*/

/*===================CAMBIAR COLOR A FLECHAS DEL DESLICE==========================*/
.carousel-control-prev-icon,
.carousel-control-next-icon {
    /* Cambia el color de las flechas a negro */
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e");
}

/* El icono de "siguiente" es similar, solo cambia la dirección del path */
.carousel-control-next-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

/*=================================================================================*/
.carousel-inner {
    width: 100%;
    height: 600px;
    /* ALTURA DE LAS IMAGENES DEL SLIDER Puedes ajustar según tus necesidades */
}

.carousel-item {
    height: 100%;
}

.carousel-item>div {
    height: 90%;
}

.carousel-image {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    object-fit: contain;
    object-position: center;
    display: block;
}

/*===================SECCION NUESTRO EQUIPO IMAGEN==========================*/



#img-equipo {
    max-height: 30rem !important;
    width: 50%;
}

#img-equipo1 {
    max-height: 30rem !important;
    width: 100%;
}

/*===================CARDS INDEX==========================*/

.cardindex {
    width: 100%;
    margin: 15px;
    height: 100%;
    border-radius: 6px;
    overflow: hidden;
    background: #f3f3f3;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.2);
    cursor: default;
    transition: all 400 ms ease;
}

.cardindex:hover {
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.4);
    transform: translateY(-3%);
}

.cardindex img {
    width: 100%;
    height: 380px;
}

/*===================CARDS GALERIA==========================*/

.card {
    width: 100%;
    margin: 15px;
    height: 100%;
    border-radius: 6px;
    overflow: hidden;
    background: #f3f3f3;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.2);
    cursor: default;
    transition: all 400 ms ease;
}

.card:hover {
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.4);
    transform: translateY(-3%);
}

.card img {
    width: 100%;
    height: 270px;
}


.imagen-responsiva {
    /* Define un ancho máximo para la imagen */
    max-width: 600px;
    /* Por ejemplo, limita el tamaño a 600px */
    /* Mantiene las proporciones */
    height: auto;
    /* Centra la imagen si su ancho es menor que el del contenedor */
    margin: 0 auto;
    /* Se asegura de que la imagen ocupe solo el ancho necesario y el margen funcione */
    display: block;
}

/* Opcional: Usar Media Queries para pantallas muy grandes */
@media (min-width: 1200px) {

    /* Se aplica solo a pantallas muy grandes */
    .imagen-responsiva {
        max-width: 50%;
        /* O por ejemplo, que no ocupe más del 50% del ancho del contenedor */
    }
}

.card-title {
    padding-bottom: 10px;
}


/*===================SECCION NUESTRO EQUIPO MAPA==========================*/
#local {
    margin-top: 50px;
    background-color: #f3f3f3;
    display: flex;
    justify-content: center;
    padding-bottom: 300px;
}

.mapa {
    background: url(../imgEle/otros/mapaEleOcea2.png);
    width: 100%;
    height: 500px;
    /* 1. Escala la imagen para que quepa completamente sin cortarse */
    background-size: contain;

    /* 2. Evita que la imagen se repita si sobra espacio */
    background-repeat: no-repeat;

    /* 3. Centra la imagen dentro del div (opcional, pero recomendado) */
    background-position: center;
}


.wrapper-local {
    width: 70%;
    margin-left: 150px;
    padding-top: 110px;
}

/* Media Query para pantallas pequeñas (XS) */
@media (max-width: 575.98px) {
    #local {
        flex-direction: column;
    }

    .mapa {
        width: 100%;
        height: 300px;
    }

    .wrapper-local {
        width: 90%;
        /* CLAVE: Asegura que el margen izquierdo grande se anule en móviles. */
        margin-left: auto;
        /* Permite el centrado horizontal */
        margin-right: auto;
        margin-top: 20px;
        /* Añade un pequeño margen superior si es necesario */
        padding-top: 20px;
    }
}

/*===========================SECCION EQUIPO==================================*/
#numeros-local {
    margin: 0 !important;
    padding: 0 !important;
}

#numeros-local div {
    padding: 0 20px 0 0;
    text-align: left;
    height: 48px;
}

#numeros-local div:not(:last-child) {
    border-right: 2px solid #3f3f3f;
}

#numeros-local div:not(:first-child) {
    padding-left: 20px;
}

#numeros-local p {
    margin: 0;
}


/*=========================CONTACTOS BACKGROUND================================*/

#bg-contactos {
    position: relative;
    top: -130px;
}

#seccion-contacto {
    background-color: #1b2a4e;
    min-height: 500px;
    position: relative;
}

/*=========================CONTACTOS FORMULARIO================================*/

#contenedor-formulario {
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #fbfafa;
    border-radius: 5px;

}

#titulo-formulario {
    color: #3f3f3f;
}




/*=========================FOOTER================================*/

footer {
    background: #1b2a4e;
    min-height: 100px;
    ;
}

footer p {
    color: #f3f3f3;
    text-align: center;
}

#iconos i {
    font-size: 26px;
    padding: 0 8px;
    color: #f3f3f3;
}

/*=========================MEDIA QUERIES PANTALLA ANCHA================================*/

@media (max-width:1200px) {

    #intro,
    #equipo {
        width: 90% !important;
        margin: auto;
    }

    #local {
        flex-wrap: wrap;
        padding-top: 30px;
    }

    .wrapper-local {
        width: 90%;
        margin: auto;
        padding-top: 50px;
    }

}

/*=========================MEDIA QUERIES PANTALLA SM================================*/


@media (max-width:768px) {

    #intro,
    #equipo {
        width: 90% !important;
        margin: auto;
    }


    #img-equipo {
        max-height: 20rem !important;
        width: 90%;
    }

    .wrapper-local {
        width: 90%;
        margin: auto;
        padding-top: 50px;
    }

    #local {
        flex-wrap: wrap;
    }

    .mapa img {
        width: 100%;
        height: auto;
    }

    #bg-contactos {
        top: -120px;
    }


}

/*=========================MEDIA QUERIES PANTALLA EXTRA-SM================================*/

@media (max-width: 576px) {
    #servicios-fila-2 {
        width: 100% !important;
    }

    #servicios-fila-1 {
        width: 100% !important;
    }

    .icono-wrap {
        flex-wrap: wrap !important;
        justify-content: center !important;
        text-align: center;
    }
}


/*=========================PARA QUE CARGUE LA PAGINA DESVANECIDA================================*/

.page-hidden {
    opacity: 0;
    visibility: hidden;
}

.page-visible {
    opacity: 1;
    visibility: visible;
}

#fade-container {
    transition: opacity 2s ease-in-out, visibility 2s ease-in-out;
}


/*=========================BOTON PARA IR HACIA ARRIBA================================*/

#scrollToTopBtn {
    display: none;
    /* Oculta el botón por defecto */
    position: fixed;
    /* Mantiene el botón en la misma posición al hacer scroll */
    bottom: 50px;
    /* Distancia desde la parte inferior */
    right: 30px;
    /* Distancia desde la derecha */
    z-index: 99;
    /* Asegura que el botón esté por encima de otros elementos */
    border: none;
    outline: none;
    background-color: #007bff;
    /* Color de fondo azul */
    color: white;
    cursor: pointer;
    padding: 10px 20px;
    border-radius: 10px;
    font-size: 18px;
    transition: opacity 0.3s;
}

#scrollToTopBtn:hover {
    background-color: #0056b3;
    /* Color de fondo más oscuro al pasar el cursor */
}

#scrollToTopBtn i {
    font-size: 28px;
    /* Ajusta el tamaño del icono */
    line-height: 2;
    /* Para centrarlo mejor si es necesario */
}



/*=========================NO DESBORDAR EL TYPEWRITE================================*/
#typewriter {
    /* 1. Limitar el ancho y asegurar que se respete el espacio */
    max-width: 100%;
    display: inline-block; /* O 'block' si quieres que ocupe todo el ancho */

    /* 2. Evitar que el texto se desborde al ser muy largo (si es que la librería lo deja estático) */
    overflow: hidden;

    /* 3. Asegurar que el texto largo se rompa si es necesario (aunque la librería debería manejar esto) */
    white-space: nowrap; /* Mantiene el texto en una sola línea (esencial para el efecto Typewriter) */
}

/* Opcional: Aplicar a la línea completa de texto */
.ubicacion { 
    /* Si la línea de texto es larga, ayuda a que el padre la contenga */
    word-wrap: break-word;
    /* Para móviles, puedes intentar limitar el tamaño de fuente en caso de ser muy grande */
    /* font-size: clamp(16px, 4vw, 24px); */ 
}